Endpoint für den Tagesverbrauch
curl --request GET \
--url https://api.devin.ai/v2/enterprise/consumption/daily \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/consumption/daily"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/consumption/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consumption_by_date": {},
"consumption_by_org_id": {},
"total_acus": 123,
"consumption_by_user": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Verbrauchs-Endpunkte
Täglicher Verbrauch
Gibt den täglichen Verbrauch für den aktuellen Abrechnungszyklus zurück
GET
/
v2
/
enterprise
/
consumption
/
daily
Endpoint für den Tagesverbrauch
Die Consumption-API steht nur Konten im Enterprise-Plan zur Verfügung. Teams und Self-Serve-Organisationen
erhalten eine
403-Antwort; es gibt keinen kontospezifischen Schalter, den der Support aktivieren kann.Zeitzonenverhalten
curl "https://api.devin.ai/v2/enterprise/consumption/daily?start_date=2025-12-05T08:00:00Z&end_date=2026-01-05T08:00:00Z" \
-H "Authorization: Bearer YOUR_API_KEY"
T08:00:00Z übergeben (z. B. 2025-12-05), verwendet die API Mitternacht UTC, was zu leicht abweichenden Verbrauchswerten im Vergleich zum Dashboard führen kann.
Filtern nach Organisation
org_ids enthalten die Ergebnisse alle den angegebenen Organisationen zugerechneten ACUs: sowohl ACUs aus Devin-Sitzungen als auch ACUs aus Devin Desktop und Devin CLI, die jeweils der primären Abrechnungsorganisation des Nutzers zugerechnet werden. Wie die primäre Abrechnungsorganisation eines Nutzers bestimmt wird, erfahren Sie unter Local Agent Controls.Autorisierungen
Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren

